# Interface FeatureSourceProperties

Properties that can be specified when creating a data/FeatureSource!FeatureSource.

interface FeatureSourceProperties {
attachmentTypes?: string[];
featureSettings?: FeatureSettingsProperties;
hyperlinks?: (HyperlinkProperties | Hyperlink)[];
iconUrl?: string;
onAddFeature?: Action;
onEditFeature?: Action;
relationships?: (Relationship | RelationshipProperties)[];
schema?: SchemaProperties;
taskSettings?: TaskSettingsProperties;
}

#### Hierarchy (view full)

- FeatureSourceProperties
  - FeatureSourceBaseProperties

#####
Index

### Properties

attachmentTypes?
featureSettings?
hyperlinks?
iconUrl?
onAddFeature?
onEditFeature?
relationships?
schema?
taskSettings?

##
Properties

### `Optional` attachmentTypes

attachmentTypes?: string[]

See data/FeatureSource!FeatureSource.attachmentTypes.

### `Optional` featureSettings

featureSettings?: FeatureSettingsProperties

See data/FeatureSource!FeatureSource.featureSettings.

### `Optional` hyperlinks

hyperlinks?: (HyperlinkProperties | Hyperlink)[]

See data/FeatureSource!FeatureSource.hyperlinks.

### `Optional` iconUrl

iconUrl?: string

See data/FeatureSource!FeatureSource.iconUrl.

### `Optional` onAddFeature

onAddFeature?: Action

See data/FeatureSource!FeatureSource.onAddFeature.

### `Optional` onEditFeature

onEditFeature?: Action

See data/FeatureSource!FeatureSource.onEditFeature.

### `Optional` relationships

relationships?: (Relationship | RelationshipProperties)[]

See data/FeatureSource!FeatureSource.relationships.

### `Optional` schema

schema?: SchemaProperties

See data/FeatureSource!FeatureSource.schema.

### `Optional` taskSettings

taskSettings?: TaskSettingsProperties

See data/FeatureSource!FeatureSource.taskSettings.